<?php

namespace App\Filament\Resources\CheckoutResource\RelationManagers;

use Filament\Forms;
use Filament\Schemas\Schema;
use Filament\Resources\RelationManagers\RelationManager;
use Filament\Tables\Table;
use Filament\Tables;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\SoftDeletingScope;

class BiddersRelationManager extends RelationManager
{
    protected static string $relationship = 'bidders';

    protected static ?string $recordTitleAttribute = 'bidder_num';

    public function form(Schema $schema): Schema
    {
        return $schema
            ->components([
                Forms\Components\Select::make('bidder_num')
                    ->label('Number')
                    ->required()
                    ->createOptionForm([
                        Forms\Components\TextInput::make('bidder_fname')->label('First Name'),
                        Forms\Components\TextInput::make('bidder_lname')->label('Last Name'),
                        Forms\Components\TextInput::make('bidder_addr')->label('Address'),
                        Forms\Components\TextInput::make('bidder_city')->label('City'),
                        Forms\Components\TextInput::make('bidder_state')->label('State'),
                        Forms\Components\TextInput::make('bidder_zip')->label('Zip'),
                        Forms\Components\TextInput::make('bidder_phone')->label('Phone Number'),
                        Forms\Components\TextInput::make('bidder_email')->label('Email'),
                        Forms\Components\TextInput::make('bidder_assigned_number')->label('Assigned Number'),
                ]),
            ]);
    }

    public function table(Table $table): Table
    {
        return $table
            ->columns([
                Tables\Columns\TextColumn::make('bidder_fname')->label('First Name'),
                Tables\Columns\TextColumn::make('bidder_lname')->label('Last Name'),
                Tables\Columns\TextColumn::make('bidder_assigned_number')->label('Number'),
            ])
            ->filters([
                //
            ])
            ->headerActions([
                Tables\Actions\CreateAction::make(),
            ])
            ->actions([
                Tables\Actions\EditAction::make(),
                Tables\Actions\DeleteAction::make(),
            ])
            ->bulkActions([
                Tables\Actions\BulkActionGroup::make([
                    Tables\Actions\DeleteBulkAction::make(),
                ]),
            ]);
    }    
}
